The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get the Stack Sensor Details

Prev Next

This URL allows you to get the details of stacked Sensors.

Resource URL

sensorstack/<stack_ID>

Request Parameters

URL parameters:

Field Name

Description

Data Type

Mandatory

stack_ID

Stack ID details

Number

Yes

Response Parameters

Following fields are returned if the request parameters are correct.

Field Name

Description

Data Type

success

Displays the success status

Boolean

msg

Displays the message

String

errMsg

Displays the error message

Boolean

data

An array that contains the details of the field

Array

errorCode

Error code

Number

Details of fields in data:

Field Name

Description

Data Type

success

Displays the success status

Boolean

msg

Displays the message

Boolean

errMsg

Displays the error message

Boolean

data

An object that contains the details of the field

Boolean

errorCode

Displays error code details

Number

haPairName

Displays the HA pair name

Boolean

stackName

Displays the stack name

String

members

An array that contains the details of the field

Array

description

Description details

String

id

Stack ID details

Number

sharedsecret

Shared secret key details

String

capacity

Capacity details

Number

downloadMode

Mode of download

Number

licenseAssigned

Assigned license details

Boolean

licenseInvalidReason

Reason for invalid license

String

gracePeriodActive

Status of grace period

Boolean

stackModelType

Model type of stack

String

deviceType

Device type details

String

subscriberid

Subscriber ID details

Number

Details of fields in members:

Field Name

Description

Data Type

sensorId

Sensor ID details

Number

memberId

Member ID details

Number

sensorName

Name of the Sensor

String

channelStatusOnline

Channel online status

Boolean

Example

Request

GET https://<IPSM_IP>/sdkapi/sensorstack/108

Response

{
    "success": true,
    "msg": "Success",
    "errMsg": null,
    "data": {
        "success": false,
        "msg": null,
        "errMsg": null,
        "data": null,
        "errorCode": 0,
        "haPairName": null,
        "stackName": "stack2",
        "members": [
            {
                "sensorId": 1046,
                "memberId": 1,
                "sensorName": "stack2-1",
                "channelStatusOnline": false
            },
            {
                "sensorId": 1047,
                "memberId": 2,
                "sensorName": "stack2-2",
                "channelStatusOnline": false
            }
        ],
        "description": "",
        "id": 108,
        "sharedsecret": "admin123",
        "capacity": 120,
        "downloadMode": 0,
        "licenseAssigned": false,
        "licenseInvalidReason": "INVALID_UNASSIGNED",
        "gracePeriodActive": false,
        "stackModelType": "NS9600",
        "deviceType": "suricata",
        "subscriberid": 0
    },
    "errorCode": 0
}

Error Information

The following error code is returned by this URL:

S.No

Generic Error Codes

ErrorMessage

Error Reason

1

1001

Bad URL - HTTP 404 Not Found

Mistyped URL

Internal Error – Null

Incorrect Input data, authentication issues